# Rechts- und linksseitiges Trimmen
function trim(s)
{
	sub(/^[ \t]+/, "", s);
	sub(/[ \t]+$/, "", s);
	return s;
}
# Wandlung String -> Zahl
function mystrtonum(str,        ret)
{
	if (str ~ /^[-+]?([0-9]+([.][0-9]*([Ee][0-9]+)?)?|([.][0-9]+([Ee][-+]?[0-9]+)?))$/) {
		ret = str + 0
	} else
		ret = str
	return ret
}
# Begin Sektion
BEGIN {	
	print("RoboStation CSV Version 2.0;;;;;;;;");
	print("System: XYZ;;;;;;;;");
	print("Point No.;X;Y;Z;Point Categories;Point Comment;New Poly;Poly Categories;Poly Comment");	
	PID = 0;
	X = "";
	Y = "";
	Z = "";
	AssingingNextPointToPoly = 0;
}
# Lese Punkt ein
//{
	PID = mystrtonum(substr($0, 1, 15));
	Y = mystrtonum(substr($0, 16, 15));
	X = mystrtonum(substr($0, 31, 15));
	Z = mystrtonum(substr($0, 46, 11));
	Category = substr($0, 57);
	open = "";

	if ($0 == "" || substr($0, 16, 15) == "" || substr($0, 31, 15) == "") {	
		next;
	}
	LastChar = substr(Category, length(Category), 1);
	if (LastChar == "+")
	{		
		Category = substr(Category, 1, length(Category) - 1);
		if (AssingingNextPointToPoly == 0)
			open = "open";
		AssingingNextPointToPoly = 1;	
	}
	else if (AssingingNextPointToPoly == 0)
	{		
		open = "open";
	}
	else
	{
		AssingingNextPointToPoly = 0;
	}
	print(PID ";" X ";" Y ";" Z ";" Category ";;" open ";");
	
}
# Ende Sektion
END {
}